Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.exec
Interface Session

All Known Implementing Classes:
  BasicSession

    public interface Session

An interface that incapsulate all properties required to run tests. It's introduced to make it possible to get rid of such monsters as InterviewParameters, Template and WorkDir. It's assumed that components will communicate Session via Update and Event classes: those components which are aware how to modify the config will apply some Update object to the config, the config in its turn will send to all registred observers the corresponding Event object.

Nested Class Summary
`static interface` | `Session.Event` Root interface for all events happened when state of Session changed.
`static class` | `Session.Fault` Exception signaling of the problem happened while dealing with Session.
`static interface` | `Session.Observer` Interface for observers of the Session state.
`static interface` | `Session.Update` Root interface for all updates to Session.

Method Summary
`void` | `addObserver(Session.Observer obs)` Registers the observer.
`void` | `dispose()` Disposes configuration.
`Parameters` | `getParameters()` Data required to execute tests.
`java.util.List<java.lang.String>` | `getPropertyNames()` Returns the config property names
`java.lang.String` | `getValue(java.lang.String name)`
`boolean` | `isReady()`
`void` | `removeObserver(Session.Observer obs)` Unregisters the observer.
`void` | `restore(java.util.Map map)` Restores the config state from the map
`void` | `save(java.util.Map map)` Saves the config state to the map
`void` | `update(Session.Update u)` Method to be invoked from outside to change the state of the Session.

Method Detail

### update

    void update(Session.Update u)
                throws Session.Fault

  Method to be invoked from outside to change the state of the Session.

  Parameters:
    `u` - - object incapsulating data describing the change.
  Throws:
    `Session.Fault` - in case of any problem

### addObserver

    void addObserver(Session.Observer obs)

  Registers the observer. Does nothing if the observer is null or already registred.

  Parameters:
    `obs` - - observer

### removeObserver

    void removeObserver(Session.Observer obs)

  Unregisters the observer. Does nothing if the observer is null or not registred.

  Parameters:
    `obs` - - observer

### save

    void save(java.util.Map map)

  Saves the config state to the map

  Parameters:
    `map` -
  Throws:
    `Session.Fault`

### restore

    void restore(java.util.Map map)
                 throws Session.Fault

  Restores the config state from the map

  Parameters:
    `map` -
  Throws:
    `Session.Fault`

### dispose

    void dispose()

  Disposes configuration. Critical when heavy objects were used.

### getPropertyNames

    java.util.List<java.lang.String> getPropertyNames()

  Returns the config property names

  Returns:
    Configuration property name List

### getValue

    java.lang.String getValue(java.lang.String name)

  Returns:
    the value of property or null if unset
  Throws:
    `java.lang.IllegalArgumentException` - if case of unknown name
  See Also:
    `getPropertyNames()`

### isReady

    boolean isReady()

  Returns:
    true if configuration is ready for test execution

### getParameters

    Parameters getParameters()

  Data required to execute tests. In future - should be replaced.

  Returns:
    The current parameters in use.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.